Bug 176202 - latest legacy FC1 kernel breaks netatalk
latest legacy FC1 kernel breaks netatalk
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-20 00:42 EST by Danny Yee
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-21 22:28:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danny Yee 2005-12-20 00:42:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
The upgrade from 2.4.22-1.2199.4.legacy.nptlsmp to 2.4.22-1.2199.5.legacy.nptlsmp broke netatalk.

With the .5 kernel, atalkd starts up but doesn't get the zone or net from the seed router; it works fine when I revert to the .4 kernel.


Version-Release number of selected component (if applicable):
2.4.22-1.2199.5.legacy.nptlsmp

How reproducible:
Always

Steps to Reproduce:
1. boot with 2.4.22-1.2199.5.legacy.nptlsmp, netatalk doesn't work
2. boot with 2.4.22-1.2199.4.legacy.nptlsmp, netatalk works


Actual Results:  atalkd writes into /etc/atalk/atalkd.conf a line like
eth0 -phase 2 -net 0-65534 -addr 20024.201

AFP over TCP works, but the shares aren't browseable via Appletalk and DDP doesn't work.


Expected Results:  eth0 -phase 2 -net 20024-20027 -addr 20024.222 -zone "physiol"

Shares are browseable in Appletalk zone, DDP connections (from older Macs) work.

Additional info:
Comment 1 David Eisenstein 2005-12-20 20:54:47 EST
FL Build folks:  I wonder if this could be a side-effect of building kernels
under mach?  Or do we build kernels under mach?
Comment 2 Danny Yee 2005-12-21 22:28:36 EST
I wrote too quickly - the kernel reversion didn't help.  I'm not sure what the
problem was -- maybe the last glibc update? -- but a slightly newer version of
netatalk seems to have fixed it.

Note You need to log in before you can comment on or make changes to this bug.